WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/September 2022/2 Sep 2022

Dragons RFC 12–28 Wasps

173 photographs Gareth Everett Friday
Prints from £8 Order prints
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps 001
CDF_020922_GE_Dragons_v_Wasps_001.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps 002
CDF_020922_GE_Dragons_v_Wasps_002.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps 003
CDF_020922_GE_Dragons_v_Wasps_003.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps 004
CDF_020922_GE_Dragons_v_Wasps_004.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps 005
CDF_020922_GE_Dragons_v_Wasps_005.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Ali Crossdale of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC chases the kick through 006
CDF_020922_GE_Dragons_v_Wasps_006.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC chases the kick through
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC chases the kick through 007
CDF_020922_GE_Dragons_v_Wasps_007.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC chases the kick through
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC chases the kick through 008
CDF_020922_GE_Dragons_v_Wasps_008.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC chases the kick through
020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC and Lloyd Fairbrother of Dragons RFC tackle John Ryan of Wasps 009
CDF_020922_GE_Dragons_v_Wasps_009.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC and Lloyd Fairbrother of Dragons RFC tackle John Ryan of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC and Lloyd Fairbrother of Dragons RFC tackle John Ryan of Wasps 010
CDF_020922_GE_Dragons_v_Wasps_010.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC and Lloyd Fairbrother of Dragons RFC tackle John Ryan of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC breaks away 011
CDF_020922_GE_Dragons_v_Wasps_011.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC breaks away
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC takes on Luke Mehson of Wasps 012
CDF_020922_GE_Dragons_v_Wasps_012.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC takes on Luke Mehson of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC takes on Luke Mehson of Wasps 013
CDF_020922_GE_Dragons_v_Wasps_013.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC takes on Luke Mehson of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC takes on Luke Mehson of Wasps 014
CDF_020922_GE_Dragons_v_Wasps_014.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC takes on Luke Mehson of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Sean Lonsdale of Dragons RFC takes on Robin Hislop of Wasps 015
CDF_020922_GE_Dragons_v_Wasps_015.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sean Lonsdale of Dragons RFC takes on Robin Hislop of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC charges forward 016
CDF_020922_GE_Dragons_v_Wasps_016.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC charges forward 017
CDF_020922_GE_Dragons_v_Wasps_017.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC charges forward 018
CDF_020922_GE_Dragons_v_Wasps_018.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 019
CDF_020922_GE_Dragons_v_Wasps_019.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 020
CDF_020922_GE_Dragons_v_Wasps_020.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 021
CDF_020922_GE_Dragons_v_Wasps_021.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 022
CDF_020922_GE_Dragons_v_Wasps_022.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 023
CDF_020922_GE_Dragons_v_Wasps_023.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 024
CDF_020922_GE_Dragons_v_Wasps_024.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try 025
CDF_020922_GE_Dragons_v_Wasps_025.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Luke Yendle of Dragons RFC powers to score try
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 026
CDF_020922_GE_Dragons_v_Wasps_026.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 027
CDF_020922_GE_Dragons_v_Wasps_027.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 028
CDF_020922_GE_Dragons_v_Wasps_028.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 029
CDF_020922_GE_Dragons_v_Wasps_029.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 030
CDF_020922_GE_Dragons_v_Wasps_030.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 031
CDF_020922_GE_Dragons_v_Wasps_031.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 032
CDF_020922_GE_Dragons_v_Wasps_032.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 033
CDF_020922_GE_Dragons_v_Wasps_033.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 034
CDF_020922_GE_Dragons_v_Wasps_034.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward 035
CDF_020922_GE_Dragons_v_Wasps_035.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC charges forward
020922 - Dragons RFC v Wasps, Pre season Friendly - Mefin Davies 036
CDF_020922_GE_Dragons_v_Wasps_036.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Mefin Davies
020922 - Dragons RFC v Wasps, Pre season Friendly - Mefin Davies 037
CDF_020922_GE_Dragons_v_Wasps_037.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Mefin Davies
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Forwards Coach Luke Narraway 038
CDF_020922_GE_Dragons_v_Wasps_038.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Forwards Coach Luke Narraway
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan 039
CDF_020922_GE_Dragons_v_Wasps_039.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan 040
CDF_020922_GE_Dragons_v_Wasps_040.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan 041
CDF_020922_GE_Dragons_v_Wasps_041.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan 042
CDF_020922_GE_Dragons_v_Wasps_042.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC Head Coach Dai Flanagan
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC 043
CDF_020922_GE_Dragons_v_Wasps_043.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC 044
CDF_020922_GE_Dragons_v_Wasps_044.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sam Davies of Dragons RFC 045
CDF_020922_GE_Dragons_v_Wasps_045.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sam Davies of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sam Davies of Dragons RFC 046
CDF_020922_GE_Dragons_v_Wasps_046.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sam Davies of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jordan Williams of Dragons RFC 047
CDF_020922_GE_Dragons_v_Wasps_047.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jordan Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC 048
CDF_020922_GE_Dragons_v_Wasps_048.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC 049
CDF_020922_GE_Dragons_v_Wasps_049.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly -Rio Dyer of Dragons RFC 050
CDF_020922_GE_Dragons_v_Wasps_050.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly -Rio Dyer of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly -Rio Dyer of Dragons RFC 051
CDF_020922_GE_Dragons_v_Wasps_051.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly -Rio Dyer of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jordan Williams of Dragons RFC 052
CDF_020922_GE_Dragons_v_Wasps_052.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jordan Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones, Ashton Hewitt and Ross Moriarty of Dragons RFC 053
CDF_020922_GE_Dragons_v_Wasps_053.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones, Ashton Hewitt and Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 054
CDF_020922_GE_Dragons_v_Wasps_054.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 055
CDF_020922_GE_Dragons_v_Wasps_055.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC 056
CDF_020922_GE_Dragons_v_Wasps_056.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 057
CDF_020922_GE_Dragons_v_Wasps_057.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 058
CDF_020922_GE_Dragons_v_Wasps_058.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 059
CDF_020922_GE_Dragons_v_Wasps_059.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - 060
CDF_020922_GE_Dragons_v_Wasps_060.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly -
020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC 061
CDF_020922_GE_Dragons_v_Wasps_061.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC 062
CDF_020922_GE_Dragons_v_Wasps_062.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC 063
CDF_020922_GE_Dragons_v_Wasps_063.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Lewis Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sam Davies of Dragons RFC 064
CDF_020922_GE_Dragons_v_Wasps_064.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sam Davies of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC 065
CDF_020922_GE_Dragons_v_Wasps_065.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC 066
CDF_020922_GE_Dragons_v_Wasps_066.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 067
CDF_020922_GE_Dragons_v_Wasps_067.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC 068
CDF_020922_GE_Dragons_v_Wasps_068.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC 069
CDF_020922_GE_Dragons_v_Wasps_069.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC 070
CDF_020922_GE_Dragons_v_Wasps_070.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC 071
CDF_020922_GE_Dragons_v_Wasps_071.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jack Dixon of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC and Tom Willis of Wasps 072
CDF_020922_GE_Dragons_v_Wasps_072.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC and Tom Willis of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC takes on Cam Dodson of Wasps 073
CDF_020922_GE_Dragons_v_Wasps_073.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC takes on Cam Dodson of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC takes on Cam Dodson of Wasps 074
CDF_020922_GE_Dragons_v_Wasps_074.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Elliot Dee of Dragons RFC takes on Cam Dodson of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 075
CDF_020922_GE_Dragons_v_Wasps_075.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
 076
CDF_020922_GE_Dragons_v_Wasps_076.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC 077
CDF_020922_GE_Dragons_v_Wasps_077.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 078
CDF_020922_GE_Dragons_v_Wasps_078.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 079
CDF_020922_GE_Dragons_v_Wasps_079.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
 080
CDF_020922_GE_Dragons_v_Wasps_080.jpg · Gareth Everett
 081
CDF_020922_GE_Dragons_v_Wasps_081.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Harri Keddie of Dragons RFC 082
CDF_020922_GE_Dragons_v_Wasps_082.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Harri Keddie of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Harri Keddie of Dragons RFC 083
CDF_020922_GE_Dragons_v_Wasps_083.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Harri Keddie of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Lloyd Fairbrother of Dragons RFC 084
CDF_020922_GE_Dragons_v_Wasps_084.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Lloyd Fairbrother of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC 085
CDF_020922_GE_Dragons_v_Wasps_085.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC 086
CDF_020922_GE_Dragons_v_Wasps_086.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC 087
CDF_020922_GE_Dragons_v_Wasps_087.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC 088
CDF_020922_GE_Dragons_v_Wasps_088.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC 089
CDF_020922_GE_Dragons_v_Wasps_089.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Referee Craig Evans 090
CDF_020922_GE_Dragons_v_Wasps_090.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Referee Craig Evans
020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC 091
CDF_020922_GE_Dragons_v_Wasps_091.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Joe Davies of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC 092
CDF_020922_GE_Dragons_v_Wasps_092.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Jones of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons take on wasps in a pre season friendly 093
CDF_020922_GE_Dragons_v_Wasps_093.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons take on wasps in a pre season friendly
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons take on wasps in a pre season friendly 094
CDF_020922_GE_Dragons_v_Wasps_094.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons take on wasps in a pre season friendly
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons take on wasps in a pre season friendly 095
CDF_020922_GE_Dragons_v_Wasps_095.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons take on wasps in a pre season friendly
 096
CDF_020922_GE_Dragons_v_Wasps_096.jpg · Gareth Everett
 097
CDF_020922_GE_Dragons_v_Wasps_097.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 098
CDF_020922_GE_Dragons_v_Wasps_098.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sean Lonsdale of Dragons RFC 099
CDF_020922_GE_Dragons_v_Wasps_099.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sean Lonsdale of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC 100
CDF_020922_GE_Dragons_v_Wasps_100.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC 101
CDF_020922_GE_Dragons_v_Wasps_101.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC 102
CDF_020922_GE_Dragons_v_Wasps_102.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC 103
CDF_020922_GE_Dragons_v_Wasps_103.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC 104
CDF_020922_GE_Dragons_v_Wasps_104.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ben Fry of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC 105
CDF_020922_GE_Dragons_v_Wasps_105.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Aki Seiuli of Dragons RFC 106
CDF_020922_GE_Dragons_v_Wasps_106.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Aki Seiuli of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Aki Seiuli of Dragons RFC 107
CDF_020922_GE_Dragons_v_Wasps_107.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Aki Seiuli of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 108
CDF_020922_GE_Dragons_v_Wasps_108.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 109
CDF_020922_GE_Dragons_v_Wasps_109.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 110
CDF_020922_GE_Dragons_v_Wasps_110.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 111
CDF_020922_GE_Dragons_v_Wasps_111.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 112
CDF_020922_GE_Dragons_v_Wasps_112.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 113
CDF_020922_GE_Dragons_v_Wasps_113.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 114
CDF_020922_GE_Dragons_v_Wasps_114.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 115
CDF_020922_GE_Dragons_v_Wasps_115.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 116
CDF_020922_GE_Dragons_v_Wasps_116.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 117
CDF_020922_GE_Dragons_v_Wasps_117.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps 118
CDF_020922_GE_Dragons_v_Wasps_118.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rio Dyer of Dragons RFC takes on Will Porter of Wasps
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 119
CDF_020922_GE_Dragons_v_Wasps_119.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 120
CDF_020922_GE_Dragons_v_Wasps_120.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 121
CDF_020922_GE_Dragons_v_Wasps_121.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 122
CDF_020922_GE_Dragons_v_Wasps_122.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
 123
CDF_020922_GE_Dragons_v_Wasps_123.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC 124
CDF_020922_GE_Dragons_v_Wasps_124.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC 125
CDF_020922_GE_Dragons_v_Wasps_125.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC
 126
CDF_020922_GE_Dragons_v_Wasps_126.jpg · Gareth Everett
 127
CDF_020922_GE_Dragons_v_Wasps_127.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 128
CDF_020922_GE_Dragons_v_Wasps_128.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC 129
CDF_020922_GE_Dragons_v_Wasps_129.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ross Moriarty of Dragons RFC
 130
CDF_020922_GE_Dragons_v_Wasps_130.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Referee Craig Evans awards Dragons try 131
CDF_020922_GE_Dragons_v_Wasps_131.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Referee Craig Evans awards Dragons try
020922 - Dragons RFC v Wasps, Pre season Friendly - Referee Craig Evans awards Dragons try 132
CDF_020922_GE_Dragons_v_Wasps_132.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Referee Craig Evans awards Dragons try
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 133
CDF_020922_GE_Dragons_v_Wasps_133.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 134
CDF_020922_GE_Dragons_v_Wasps_134.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 135
CDF_020922_GE_Dragons_v_Wasps_135.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 136
CDF_020922_GE_Dragons_v_Wasps_136.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 137
CDF_020922_GE_Dragons_v_Wasps_137.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 138
CDF_020922_GE_Dragons_v_Wasps_138.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 139
CDF_020922_GE_Dragons_v_Wasps_139.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 140
CDF_020922_GE_Dragons_v_Wasps_140.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 141
CDF_020922_GE_Dragons_v_Wasps_141.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 142
CDF_020922_GE_Dragons_v_Wasps_142.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC 143
CDF_020922_GE_Dragons_v_Wasps_143.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Jared Rosser of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC 144
CDF_020922_GE_Dragons_v_Wasps_144.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 145
CDF_020922_GE_Dragons_v_Wasps_145.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 146
CDF_020922_GE_Dragons_v_Wasps_146.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC 147
CDF_020922_GE_Dragons_v_Wasps_147.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Sio Tomkinson of Dragons RFC
 148
CDF_020922_GE_Dragons_v_Wasps_148.jpg · Gareth Everett
 149
CDF_020922_GE_Dragons_v_Wasps_149.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Angus O’Brien of Dragons RFC 150
CDF_020922_GE_Dragons_v_Wasps_150.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Angus O’Brien of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Angus O’Brien of Dragons RFC 151
CDF_020922_GE_Dragons_v_Wasps_151.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Angus O’Brien of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Angus O’Brien of Dragons RFC 152
CDF_020922_GE_Dragons_v_Wasps_152.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Angus O’Brien of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 153
CDF_020922_GE_Dragons_v_Wasps_153.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
 154
CDF_020922_GE_Dragons_v_Wasps_154.jpg · Gareth Everett
 155
CDF_020922_GE_Dragons_v_Wasps_155.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC 156
CDF_020922_GE_Dragons_v_Wasps_156.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC 157
CDF_020922_GE_Dragons_v_Wasps_157.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Rhodri Williams of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 158
CDF_020922_GE_Dragons_v_Wasps_158.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC 159
CDF_020922_GE_Dragons_v_Wasps_159.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Max Clark of Dragons RFC
 160
CDF_020922_GE_Dragons_v_Wasps_160.jpg · Gareth Everett
 161
CDF_020922_GE_Dragons_v_Wasps_161.jpg · Gareth Everett
 162
CDF_020922_GE_Dragons_v_Wasps_162.jpg · Gareth Everett
020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC 163
CDF_020922_GE_Dragons_v_Wasps_163.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Ashton Hewitt of Dragons RFC
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match 164
CDF_020922_GE_Dragons_v_Wasps_164.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match 165
CDF_020922_GE_Dragons_v_Wasps_165.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match 166
CDF_020922_GE_Dragons_v_Wasps_166.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match 167
CDF_020922_GE_Dragons_v_Wasps_167.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch 168
CDF_020922_GE_Dragons_v_Wasps_168.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch 169
CDF_020922_GE_Dragons_v_Wasps_169.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch 170
CDF_020922_GE_Dragons_v_Wasps_170.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch 171
CDF_020922_GE_Dragons_v_Wasps_171.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch 172
CDF_020922_GE_Dragons_v_Wasps_172.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons Director of Rugby Dean Ryan looks on as the Dragons leave the pitch
020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match 173
CDF_020922_GE_Dragons_v_Wasps_173.jpg · Gareth Everett020922 - Dragons RFC v Wasps, Pre season Friendly - Dragons RFC huddle together at the end of the match

More from around this date

Fri 2 SepGloucester Rugby 42-17 Cardiff Rugby Fri 2 SepScarlets 28-34 Bristol Bears Fri 2 SepOspreys 31-24 Northampton Saints Sat 3 SepRGC v Merthyr Sat 3 SepCardiff Met v Trebanos Sat 3 SepNewport County 0-2 Grimsby Town Sat 3 SepMillwall 0-2 Cardiff City Sat 3 SepSwansea City 1-0 QPR
Dragons RFC 12-28 Wasps · 2 Sep 2022
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured